##
##  @l_prefix@/etc/exim/exim.conf -- Exim main configuration
##

#   For extensive documentation read the Exim specification at
#   http://www.exim.org/

#   local host
primary_hostname                = mail.example.com

#   SMTP daemon
local_interfaces                = 127.0.0.1
daemon_smtp_ports               = 25

domainlist local_domains        = @
domainlist relay_to_domains     =
hostlist   relay_from_hosts     = 127.0.0.1

acl_smtp_rcpt                   = acl_check_rcpt

host_lookup                     = *

rfc1413_hosts                   = *
rfc1413_query_timeout           = 0s

ignore_bounce_errors_after      = 2d
timeout_frozen_after            = 7d

#
#   ACL configuration section
#
begin acl

acl_check_rcpt:
    accept  hosts               = :

    deny    message             = Restricted characters in address
            domains             = +local_domains
            local_parts         = ^[.] : ^.*[@%!/|]

    deny    message             = Restricted characters in address
            domains             = !+local_domains
            local_parts         = ^[./|] : ^.*[@%!] : ^.*/\\.\\./

    accept  local_parts         = postmaster
            domains             = +local_domains

    require verify              = sender

    accept  domains             = +local_domains
            endpass
            verify              = recipient

    accept  domains             = +relay_to_domains
            endpass
            verify              = recipient

    accept  hosts               = +relay_from_hosts

    accept  authenticated       = *

    deny    message             = relay not permitted

#
#   Routers configuration section
#
begin routers

dnslookup:
    driver                      = dnslookup
    domains                     = ! +local_domains
    transport                   = remote_smtp
    ignore_target_hosts         = 0.0.0.0 : 127.0.0.0/8
    no_more

system_aliases:
    driver                      = redirect
    allow_fail
    allow_defer
    data        = ${lookup{$local_part}lsearch{@l_prefix@/etc/exim/aliases}}
    file_transport              = address_file
    pipe_transport              = address_pipe

userforward:
    driver                      = redirect
    check_local_user
    file                        = $home/.forward
    no_verify
    no_expn
    check_ancestor
    file_transport              = address_file
    pipe_transport              = address_pipe
    reply_transport             = address_reply

localuser:
    driver                      = accept
    check_local_user
    transport                   = local_delivery
    cannot_route_message        = Unknown user

#
#   Transports configuration section
#
begin transports

remote_smtp:
    driver                      = smtp

local_delivery:
    driver                      = appendfile
    file                        = $home/.mail/inbox
    delivery_date_add
    envelope_to_add
    return_path_add

address_pipe:
    driver                      = pipe
    return_output

address_file:
    driver                      = appendfile
    delivery_date_add
    envelope_to_add
    return_path_add

address_reply:
    driver                      = autoreply

#
#   Retry configuration section
#
begin retry

#   address or domain           error           retries
#   --------------------------  --------------  -------------------------------
*                               *               F,2h,15m; G,16h,1h,1.5; F,4d,6h

#
#   Rewrite configuration section
#
begin rewrite

#
#   Authentication configuration section
#
begin authenticators

#
#   local_scan() configuration section
#
#begin local_scan

